<?php
$GLOBALS['config'] = array(
	'SERVER_NAME'=>"test",
	'MAIN_SERVER'=>[
        'HOST'=>'0.0.0.0',
        'PORT'=>9502,
        'SETTING'=>[
            'open_tcp_nodelay' => 1,
            'open_cpu_affinity' => 1,
            'task_worker_num' =>8,
            'dispatch_mode'=>2,
            'daemonize' => 0,//守护进程化。设置daemonize => 1时，程序将转入后台作为守护进程运行。长时间运行的服务器端程序必须启用此项。
            'reactor_num' => 2,//2个处理线程的数量
            'worker_num' => 4,//4个线程
            'max_request' => 0,//最大10万个连接请求
            // 'heartbeat_idle_time' => 60,//如果客户端超过600秒未向服务器发消息
            // 'heartbeat_check_interval' =>61,//每60秒检查一次所有的连接

			'log_file' => ROOT_PATH.'swoole.log'
        ]
    ],
	'REDIS'=>array(
		'type'=>'Redis',
		'host'=>'127.0.0.1',   //  119.23.249.188 (部署)
		'port'=>'6379',
		'auth'=>''
	),
	'MYSQL' => array(
		'DB_TYPE' => 'mysql',
		'DB_HOST' => '127.0.0.1',
        'DB_NAME' => 'lewan_hezi',
        'DB_USER' => 'root',
        'DB_PWD' => '1QAZ2wsx',
		'DB_PORT' => '3306',
		'DB_PREFIX' => '',
		'DB_CHARSET' => 'utf8',
	),

	'socket_controller' => ROOT_PATH.'application/socket/controller/',
	'img_path'=> '/9999/'
);