<?php
include_once(ROOT_PATH."application/socket/model/UserModel.php");//uesrModel

class user extends base {

    public function mysqlData()
    {
        $userModel = new \socket\model\UserModel();
        $data = $userModel->getOne();
        $reData = json_encode(array('c'=>1,'msg'=>'success','d'=>array('info'=>$data)));
        $this->server->push($this->fd, $reData);
    }

    public function redisData() {
        $data = $GLOBALS['redisDB']->get('hezijp001');
        $reData = json_encode(array('c'=>1,'msg'=>'success','d'=>array('list'=>json_decode($data,true))));
        $this->server->push($this->fd, $reData);
    }


    public function online_num()
    {
        $reData = json_encode(array('c'=>1,'msg'=>'success','d'=>array('num'=>count($GLOBALS['USER_LIST']))));
        $this->server->push($this->fd, $reData);
    }
   
    public function uid()
    {
        $uid = get_user_uid($this->fd);
        $result = array(
            'c'=>1
            ,'msg'=>'获取成功'
            ,'d'=>array('uid'=>$uid)
        );
        $this->server->push($this->fd, json_encode($result));
    }


    public function set_info() {
        $token = decryptToken($this->reqData['token']);

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            set_user_list(array('fd'=>$frame->fd,'uid'=>$token['uid']));
            $result = array(
                'c'=>1
                ,'msg'=>'保存成功'
            );
        }
        $this->server->push($this->fd, json_encode($result));
    }


    //广播（给所有在线用户发送消息）
    public function broadcast() {
        if(empty($this->reqData['content'])) {
            $result = array(
                'c'=>2
                ,'msg'=>'content参数不存在'
            );
        } else {
            //发送消息给接收者
            $consignee = array(
                'c'=>1
                ,'msg'=>'接收到广播信息'
                ,'d'=>array('sender'=>get_user_uid($this->fd),'content'=>$this->reqData['content'])
            );
            send_all($this->server,json_encode($consignee));

            //发送成功，通知发送者
            $sender = array(
                'c'=>1
                ,'msg'=>'信息发送成功'
            );
            $this->server->push($this->fd, json_encode($sender));
            return 'success';
        }
        $this->server->push($this->fd, json_encode($result));
        return 'fail';
    }

    //给指定用户发送消息
    public function send_msg() {
        if(empty($this->reqData['to_uid'])) {
            $result = array(
                'c'=>2
                ,'msg'=>'to_uid参数不存在'
            );
        } else if(empty($this->reqData['content'])) {
            $result = array(
                'c'=>2
                ,'msg'=>'content参数不存在'
            );
        } else {

            //发送消息给接收者
            $consignee = array(
                'c'=>1
                ,'msg'=>'接收到新信息'
                ,'d'=>array('sender'=>$this->reqData['to_uid'],'content'=>$this->reqData['content'])
            );
            
            if(is_array($this->reqData['to_uid'])) {
                $re1 = send_group($this->server,$this->reqData['to_uid'],json_encode($consignee));
            } else {
                $re1 = send_user($this->server,$this->reqData['to_uid'],json_encode($consignee));
            }
            if($re1) {
                //发送成功，通知发送者
                $sender = array(
                    'c'=>1
                    ,'msg'=>'信息发送成功'
                );
                if(!empty($this->fd)) {
                    $this->server->push($this->fd, json_encode($sender));
                }
                return json_encode($sender);
            } else {
                $result = array(
                    'c'=>2
                    ,'msg'=>'信息发送失败'
                );
            }
        }
        $this->server->push($this->fd, json_encode($result));
        return json_encode($sender);
    }

}